Skip to main content
GET
/
cases
List cases (cursor-paginated)
curl --request GET \
  --url https://api.truu.ai/api/v1/external/cases \
  --header 'X-API-Key: <api-key>'
{
  "next_cursor": "<string>",
  "items": [
    {
      "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_email": "<string>",
      "user_name": "<string>",
      "threat_type": "data_exfiltration",
      "threat_brief": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z",
      "events": [
        {
          "kind": "threat",
          "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "severity": "<string>",
          "category": [
            "<string>"
          ],
          "subcategory": [
            "<string>"
          ],
          "signal_type": "<string>",
          "source": "<string>",
          "title": "<string>",
          "summary": "<string>",
          "user_name": "<string>",
          "user_email": "<string>",
          "platform_event_id": "<string>",
          "flagged": true,
          "safe": true,
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings. Pass via the X-API-Key header.

Query Parameters

email
string

Filter by user email

state
enum<string>

Lifecycle state of a case:

  • discover — Vetted by the AI judge, ready for triage
  • pending_investigation — Swiped; investigation pending
  • investigating — Investigation underway
  • enforced — An enforcement action has been taken
  • closed — Case closed
Available options:
discover,
pending_investigation,
investigating,
enforced,
closed
threat_type
enum<string>

Threat classification assigned to a case

Available options:
data_exfiltration,
insider_threat,
privilege_escalation,
policy_violation,
account_compromise,
sabotage,
financial_fraud
created_after
string<date-time>
created_before
string<date-time>
page_size
integer
default:50
Required range: x <= 200
next_cursor
string

Response

Paginated list of cases

next_cursor
string | null
items
object[]